Skip to content
Start here

Create a new Provider Configs

ai_gateway.provider_configs.create(strgateway_id, ProviderConfigCreateParams**kwargs) -> ProviderConfigCreateResponse
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/provider_configs

Creates a new AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Secrets Store Write
ParametersExpand Collapse
account_id: str
gateway_id: str

gateway id

maxLength64
minLength1
alias: str
default_config: bool
provider_slug: str
secret: str
secret_id: str
rate_limit: Optional[float]
rate_limit_period: Optional[float]
ReturnsExpand Collapse
class ProviderConfigCreateResponse:
id: str
alias: str
default_config: bool
gateway_id: str

gateway id

maxLength64
minLength1
modified_at: datetime
formatdate-time
provider_slug: str
secret_id: str
secret_preview: str
rate_limit: Optional[float]
rate_limit_period: Optional[float]

Create a new Provider Configs

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
provider_config = client.ai_gateway.provider_configs.create(
    gateway_id="my-gateway",
    account_id="3ebbcb006d4d46d7bb6a8c7f14676cb0",
    alias="alias",
    default_config=True,
    provider_slug="provider_slug",
    secret="secret",
    secret_id="secret_id",
)
print(provider_config.id)
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}